#!/usr/bin/python
# -*- coding: utf-8 -*-

# H represents the historic part to be taken into account.
H = 3

class Bidding:

    def __init__ (self, agent, idWork, idZone, credits, historic, state):

        self.Agent = agent
        self.IdWork = idWork
        self.IdZone = idZone
        self.Credits = credits
        self.Historic = historic
        self.State = state

    def getCurrentHistoric (self):

        v = 0

        for j in range(len(self.Historic) - len(self.Historic) / H, len(self.Historic)):
            if self.Historic[j] == 1:
                v += 1

        return v

    def copy (self):
        return Bidding(self.Agent, self.IdWork, self.IdZone, self.Credits, self.Historic, self.State)

    def __str__ (self):

        return '[Agent: ' + self.Agent + ' IdWork: ' + str(self.IdWork) + ' IdZone: ' + str(self.IdZone) + ' Credits: ' + str(self.Credits) + ' HistoricValue: ' + str(self.Historic) + ' State: ' + str(self.State) + ']'
