import Blender
import math, sys
from math import *
from Blender import *
from Blender import Scene

editmode = Window.EditMode()   				# If we are in edit mode; exit edit mode
if editmode: Window.EditMode(0)

world = World.GetCurrent()
if (world == None):
	world = World.New("")

filename = "analyst/infoscene.txt"
file = open(filename, "w")

nfaces = 0
nverts = 0
scn = Blender.Scene.GetCurrent()

for obj in Blender.Object.Get():
	if obj.getType() == 'Mesh':
		meshname = obj.data.name
		mesh = NMesh.GetRaw(meshname)
		nverts = nverts + len(mesh.verts)
		nfaces = nfaces + len(mesh.faces)

nmat = len(Material.Get())
nlamp = len(Lamp.Get())

file.write(str(nfaces) + ":" + str(nverts) + ":" + str(nmat) + ":" + str(nlamp))

file.close()
