#!/usr/bin/python
# -*- coding: utf-8 -*-

class Zone:

    def __init__ (self, id, x1, y1, x2, y2):

        # Zone id.
        self.Id = id
        # Zone coordinates.
        self.X1, self.Y1 = x1, y1
        self.X2, self.Y2 = x2, y2
        # Typical desviation and the average of each zone.
        self.Desv, self.Med = float(0), float(0)

    def getWidth (self):
        return self.X2 - self.X1

    def getHeight (self):
        """Devuelve la altura de la zona"""
        return self.Y2 - self.Y1

    def getSize (self):
        """Devuelve el tamaño de la zona"""
        return self.getWidth() * self.getHeight()

    def __eq__ (self, z):
        """Compara dos zonas"""

        if self.Id == z.Id:
            return True
        else:
            return False

    def __str__ (self):
        """Devuelve una cadena que representa la zona"""
        return 'Id: ' + str(self.Id) + ' [' + str(self.X1) + ', ' + str(self.Y1) + ', ' + str(self.X2) + ', ' + str(self.Y2) + ']' + ' Desv: ' + str(self.Desv) + ' Med: ' + str(self.Med) + ' Size: ' + str(self.getSize())
