<?php
function convTime($t){$m=(int)($t/60); $s=(int)($t%60); return($m.":".(($s<10)?("0".$s):$s));}

Ice_loadProfile("Profile2");
$reset = (bool) $_GET['reset'];

$nagents = 1;
$nActAgents = 0;
$estTime = 0;
$workTime = 0;
$idWork = 0;
$WUdone = 0;
$WUnumber = 0;

try {
  $masterPrx = $ICE->stringToProxy("master")->ice_checkedCast("::FIPA::Master");				
  $lregister = $masterPrx->getBlackboardState();
  $bbPrx = $ICE->stringToProxy("blackboard")->ice_checkedCast("::FIPA::Blackboard");				
  $nagents = $masterPrx->getNumberofAgents();  

  $ltimes = $bbPrx->stGetTimes();
  $currentTime = $bbPrx->stGetCurrentTime();
  
  if ($ltimes[5] > 1) {  // Render Time
    $time = $ltimes[5] - $ltimes[0]; 
  } else {
    if ($ltimes[0] == 0) $time = 0;
    else $time = $currentTime - $ltimes[0];
  }
    
  foreach ($lregister as $reg) {
    $WUnumber++;
    if ($reg->State == 0) $WUdone++;
    if ($reg->State == 2) $nActAgents++;
    $estTime += $reg->Test;
    if ($reg->Test == 0) $nEst++;
    $idWork = $reg->IdWork;
    $workTime += $reg->Treal; 
  }
  
?>

<table style="width:100%; height:100%;" border="0" cellpadding="0" cellspacing="0">
<tbody>
  <tr>
    <td class="generalstats" style="width: 18px;">&nbsp;</td>
    <td class="generalstats" style="width: 60px;"><span class="generalstatstitle">Number Ag:</span></td>
    <td class="generalstats" style="width: 25px;"><?php echo $nagents; ?></td>
    <td class="generalstats" style="width: 60px;"><span class="generalstatstitle">Active Ag:</span></td>
    <td class="generalstats" style="width: 25px;"><?php echo $nActAgents; ?></td>
    <td class="generalstats" style="width: 20px;">&nbsp;</td>
  </tr>
  <tr>
    <td class="generalstats">&nbsp;</td>
    <td class="generalstats"><span class="generalstatstitle">Est. Time:</span></td>
    <td class="generalstats"><?php if ($nagents != 0) {echo (convTime($ltime[3] + ($estTime / ($nagents * 1.0))));} else echo convTime(0); ?></td>
    <td class="generalstats"><span class="generalstatstitle">Curr. Time:</span></td>
    <td class="generalstats"><?php echo convTime($time); ?></td>
    <td class="generalstats">&nbsp;</td>
  </tr>
  <tr>
    <td class="generalstats">&nbsp;</td>
    <td class="generalstats"><span class="generalstatstitle">Total RT:</span></td>
    <td class="generalstats"><?php echo convTime($workTime); ?></td>
    <td class="generalstats"><span class="generalstatstitle">Projects Done:</span></b></td>
    <td class="generalstats"><?php echo $idWork; ?></td>
    <td class="generalstats">&nbsp;</td>
  </tr>
  <tr>
    <td class="generalstats">&nbsp;</td>
    <td class="generalstats"><span class="generalstatstitle">Number WU:</span></td>
    <td class="generalstats"><?php echo $WUnumber; ?></td>
    <td class="generalstats"><span class="generalstatstitle">Pending WU:</span></td>
    <td class="generalstats"><?php echo $WUnumber - $WUdone; ?></td>
    <td class="generalstats">&nbsp;</td>
  </tr>
</tbody>
</table>
 
<?php 
}
catch (Ice_LocalException $ex) {
  //  print_r($ex);
}


 
