<?php
Ice_loadProfile("Profile2");
//$renderWidth = (int) $_GET['rw']; 

try {
  $masterPrx = $ICE->stringToProxy("master")->ice_checkedCast("::FIPA::Master");				
  $lagents = $masterPrx->getAgentNames();
  sort($lagents);    // Ordena la lista devuelta
  reset ($lagents);  // Resetea el puntero a su primer elemento
  foreach ($lagents as $ag){
    $state = $masterPrx->getInternalStateOfAgent($ag);
    echo '<table style="width:100%;" border="0" cellpadding="0" cellspacing="1"><tbody>';
    echo '<tr><td class="agenttitle">&nbsp;<b>'. $state->Name .'</b></td></tr>';
    // Write the internal state of the Agent
    echo '<tr><td class="agentcontent">';
      echo '<table border="0" cellpadding="0" cellspacing="2"><tbody><tr>';
      echo '<td class="agentsection" style="width:55px">Credits</td>';
      echo '<td class="agentcontent" style="width:35px">&nbsp;&nbsp;'. $state->Credits .'</td>';
      echo '<td class="agentsection" style="width:45px">Coef.</td>';
      echo '<td class="agentcontent" style="width:50px">&nbsp;&nbsp;';
      printf ("%.3f", $state->Coefficient);
      echo '</td>';
      echo '<td class="agentsection" style="width:50px">Bench.</td>';
      echo '<td class="agentcontent" style="width:35px">&nbsp;&nbsp;'. $state->BenchmarkValue .'</td>';
      echo '<td class="agentsection" style="width:40px">State</td>';
      switch ($state->State) {
        case 0: $ist = "Estimating"; break;
        case 1: $ist = "Bidding"; break;
        case 2: $ist = "Rendering"; break;
        case 3: $ist = "Resting"; break;
        case 4: $ist = "Finishing"; break;
      }
      echo '<td class="agentcontent" style="width:35px">&nbsp;&nbsp;'. $ist .'</td>';
      echo '</tr></tbody></table>';
    echo '</td></tr>';

    // Historical Array
    echo '<tr><td class="agentcontent">';
    echo '<table border="0" cellpadding="0" cellspacing="2"><tbody><tr>';
    echo '<td class="agentsection" style="width:125px">Hist. Behav.</td>';
    foreach ($state->Historic as $his) {
      if ($his) echo '<td style="text-align: center; width:28px; background-color: #69dc14;"><b>OK</b></td>';
      else echo '<td style="text-align: center; width:28px; background-color: #d50000;"><b>NO</b></td>';
    }
    echo '</tr></tbody></table>';
    echo '</td></tr>';

    // Current Zones
    echo '<tr><td class="agentcontent">';
    echo '<table border="0" cellpadding="0" cellspacing="2"><tbody><tr>';
    echo '<td class="agentsection" style="width:125px">Current Zones</td>';
    foreach ($state->CurrentZones as $zone)
      echo '<td class="agentcontent" style="width:28px; text-align: center; background-color: #fff112;">'. $zone .'</td>';
    echo '</tr></tbody></table>';
    echo '</td></tr>';


    echo '</tbody></table>';
    echo '<br>';
  }

}
catch (Ice_LocalException $ex) {
  //  print_r($ex);
}
?>		