#ifndef AgentCommunicationChannelI_H
#define AgentCommunicationChannelI_H

#include <IceUtil/IceUtil.h>
#include <FIPA.h>

class Agent_receiveMessageI: 
public FIPA::AMI_Agent_receiveMessage
{
 public:
  
  virtual void ice_response();
  virtual void ice_exception(const ::Ice::Exception&);
};

typedef IceUtil::Handle<Agent_receiveMessageI> Agent_receiveMessageIPtr;

class AgentCommunicationChannelI: public FIPA::AgentCommunicationChannel
{
 public:
 
  AgentCommunicationChannelI();

  virtual void receiveMessage(const ::FIPA::Message&, const ::Ice::Current&) const;

};

#endif
