#include <VideoAgentI.h>
#include <Ice/Ice.h>

using namespace std;
using namespace Video;

VideoAgentI::VideoAgentI()
{
}

::Video::FilePrx
VideoAgentI::read(const ::std::string& name,
		  ::Ice::Int num,
		  const ::Ice::Current& curr)
{
  FILE* fp = fopen(name.c_str(), "rb");
  
  if (fp == 0) {
    FileAccessException ex;
    ex.reason = "cannot open '" + name + "' for reading: " + strerror(errno);
    throw ex;
  }

  return FilePrx::uncheckedCast(curr.adapter->addWithUUID(new FileI(fp, num)));
}
