#ifndef VideoAgentI_H
#define VideoAgentI_H

#include <generated/Video.h>
#include <AgentI.h>
#include <FileI.h>
#include <IceUtil/Thread.h>

class VideoAgentI:
virtual public Video::VideoAgent,
virtual public AgentI
{
 public:

  VideoAgentI();

  virtual ::Video::FilePrx read(const ::std::string&, ::Ice::Int, const ::Ice::Current&);

 private:
  ::Ice::ByteSeq _bytes;
};

typedef IceUtil::Handle<VideoAgentI> VideoAgentIPtr;

#endif
