<?php
function convTime($t){$m=(int)($t/60); $s=(int)($t%60); return($m.":".(($s<10)?("0".$s):$s));}

Ice_loadProfile("Profile2");

try {
  $bbPrx = $ICE->stringToProxy("blackboard")->ice_checkedCast("::FIPA::Blackboard");				
  $listTime = $bbPrx->stGetTimes();
  $currentTime = $bbPrx->stGetCurrentTime();
  $masterPrx = $ICE->stringToProxy("master")->ice_checkedCast("::FIPA::Master");				
  $lregister = $masterPrx->getBlackboardState();
  $lagents = $masterPrx->getAgentNames();

  if ($listTime[5] != 0) $currentTime = $listTime[5];

  if ($listTime[0] != 0)
    $TotalTime = $currentTime - $listTime[0];
  else
    $TotalTime = 0;
  if ($listTime[1] == 0) $listTime[1] = $listTime[0];

  if ($listTime[2] > 0) 
    $AnalysisTime = $listTime[2] - $listTime[1];
  else $AnalysisTime = 0;

  if ($TotalTime != 0)
    $percAnalysisTime = ($AnalysisTime * 100) / $TotalTime;
  else
    $percAnalysisTime = 0;

  if ($listTime[3] > 0) {  
    $EstimationTime = $listTime[3] - $listTime[2];
    $BidTime = $listTime[4] + 1;
  }
  else {
    if ($listTime[2]>0) {
      $BidTime = 0;
      $EstimationTime = $currentTime - $listTime[2];
    }
    else $EstimationTime = 0;
  }

  if ($TotalTime != 0)
    $percEstimationTime = ($EstimationTime * 100) / $TotalTime;
  else
    $percEstimationTime = 0;

  if ($TotalTime != 0)
    $percBidTime = ($BidTime * 100) / $TotalTime;
  else
    $percBidTime = 0;

  if ($listTime[5] > 0)
    $RenderTime = $listTime[5] - $listTime[3];
  else {
    if ($BidTime > 0)
      $RenderTime = $currentTime - $listTime[3];
    else 
      $RenderTime = 0;
  } 
  if ($TotalTime != 0)
    $percRenderTime = ($RenderTime * 100) / $TotalTime;
  else
    $percRenderTime = 0;

  $UploadTime = $listTime[1] + 1 - $listTime[0];  

  if ($TotalTime != 0)
    $percUploadTime = ($UploadTime * 100) / $TotalTime;
  else
    $percUploadTime = 0;

  $NetTime = 0;  $percNetTime = 0.0;

  
  echo '<table border="0" cellpadding="0" cellspacing="0" width="98%"><tr><td style="background-color:#eae9ef">';

  echo '<h1 style="color:#303030; font-size : 16px;">&nbsp;:: General Statistics </h1><hr style="width: 100%; height: 5px;"><br>';
  echo '<table cellpadding="1" cellspacing="2" border="0" width="100%">';

  echo '<tr>';
  echo '<td class="agentsection" style="width:150px; text-align:left;">';
  echo '<b>&nbsp;&nbsp;Total Time:&nbsp;</b></td>';
  echo '<td>';
    echo '<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr>';
    echo '<td class="agentcontent" width="0%">&nbsp;</td>';
    echo '<td class="agentcontent" style="background-color:#6ea765; text-align:center;" width="100%"><b>'. convTime($TotalTime) .'</b></td>';
    echo '<td class="agentcontent">&nbsp;</td>';
    echo '</tr></table>';
  echo '</td>';
  echo '</tr>';

  echo '<tr>';
  echo '<td class="agentsection" style="width:150px; text-align:left;">';
  echo '<b>&nbsp;&nbsp;Upload Time:&nbsp;</b><i>('. convTime($UploadTime) .')</i></td>';
  echo '<td>';
    echo '<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr>';
    echo '<td class="agentcontent" width="1">&nbsp;</td>';
    echo '<td class="agentcontent" style="background-color:#999999;';
    echo 'text-align:center;" width="'. (int) (1+$percUploadTime) .'%">&nbsp;</td>';
    echo '<td class="agentcontent">';
    printf ("&nbsp;%.2f&nbsp;", $percUploadTime);
    echo '%</td>';
    echo '</tr></table>';
  echo '</td>';
  echo '</tr>';

  echo '<tr>';
  echo '<td class="agentsection" style="width:150px; text-align:left;">';
  echo '<b>&nbsp;&nbsp;Analysis Time:&nbsp;</b><i>('. convTime($AnalysisTime) .')</i></td>';
  echo '<td>';
    echo '<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr>';
    echo '<td class="agentcontent" width="'. (int) (1+$percUploadTime) .'%">&nbsp;</td>';
    echo '<td class="agentcontent" style="background-color:#999999;';
    echo 'text-align:center;" width="'. (int) $percAnalysisTime .'%">&nbsp;</td>';
    echo '<td class="agentcontent">';
    printf ("&nbsp;%.2f&nbsp;", $percAnalysisTime);
    echo '%</td>';
    echo '</tr></table>';
  echo '</td>';
  echo '</tr>';

  echo '<tr>';
  echo '<td class="agentsection" style="width:150px; text-align:left;">';
  echo '<b>&nbsp;&nbsp;Estimation Time:&nbsp;</b><i>('. convTime($EstimationTime) .')</i></td>';
  echo '<td>';
    echo '<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr>';
    echo '<td class="agentcontent" width="'. (int) ($percUploadTime + $percAnalysisTime) .'%">&nbsp;</td>';
    echo '<td class="agentcontent" style="background-color:#999999;';
    echo 'text-align:center;" width="'. (int) $percEstimationTime .'%">&nbsp;</td>';
    echo '<td class="agentcontent">';
    printf ("&nbsp;%.2f&nbsp;", $percEstimationTime);
    echo '%</td>';
    echo '</tr></table>';
  echo '</td>';
  echo '</tr>';

  echo '<tr>';
  echo '<td class="agentsection" style="width:150px; text-align:left;">';
  echo '<b>&nbsp;&nbsp;Bid Time:&nbsp;</b><i>('. convTime($BidTime) .')</i></td>';
  echo '<td>';
    echo '<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr>';
    echo '<td class="agentcontent" width="'. (int) ($percUploadTime + $percAnalysisTime + $percEstimationTime) .'%">&nbsp;</td>';
    echo '<td class="agentcontent" style="background-color:#999999;';
    echo 'text-align:center;" width="'. (int) (1+$percBidTime) .'%">&nbsp;</td>';
    echo '<td class="agentcontent" >';
    printf ("&nbsp;%.2f&nbsp;", $percBidTime);
    echo '%</td>';
    echo '</tr></table>';
  echo '</td>';
  echo '</tr>';

  if ($listTime[5] > 0) {
    $maxAgentTime = 0;
    foreach ($lagents as $ag){
      $state = $masterPrx->getInternalStateOfAgent($ag);
      $AgentRenderTime = 0;
      foreach ($lregister as $reg){ 
	if ($reg->Agent == $state->Name) {
	    $AgentRenderTime += $reg->Treal;
	}
	if ($AgentRenderTime > $maxAgentTime) $maxAgentTime = $AgentRenderTime;
      }
    }
    $NetTime = $RenderTime - $maxAgentTime;
    $percNetTime = ($NetTime * 100) / $TotalTime;
    echo '<tr>';
    echo '<td class="agentsection" style="width:150px; text-align:left;">';
    echo '<b>&nbsp;&nbsp;Net Time:&nbsp;</b><i>('. convTime($NetTime) .')</i></td>';
    echo '<td>';
      echo '<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr>';
      echo '<td class="agentcontent" width="'. (int) ($percUploadTime + $percAnalysisTime + $percEstimationTime + $percBidTime) .'%">&nbsp;</td>';
      echo '<td class="agentcontent" style="background-color:#FF9999; ';
      echo 'text-align:right;" width="'. (int) $percNetTime .'%">';
      printf ("&nbsp;%.2f&nbsp;", $percNetTime);    
      echo '%&nbsp;&nbsp;</td>';
      echo '<td class="agentcontent">&nbsp;</td>';
      echo '</tr></table>';
    echo '</td>';
    echo '</tr>';
  }

  echo '<tr>';
  echo '<td class="agentsection" style="width:150px; text-align:left;">';
  echo '<b>&nbsp;&nbsp;Render Time:&nbsp;</b><i>('. convTime($RenderTime) .')</i></td>';
  echo '<td>';
    echo '<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr>';
    echo '<td class="agentcontent" width="'. (int) ($percUploadTime + $percAnalysisTime + $percEstimationTime + $percBidTime) .'%">&nbsp;</td>';
    echo '<td class="agentcontent"';
    if ($RenderTime == 0)
      echo 'style="background-color:#999999;';
    else
      echo 'style="background-color:#d48e8e;';
    echo 'text-align:right;" width="'. (int) ($percRenderTime) .'%">';
    printf ("&nbsp;%.2f&nbsp;", $percRenderTime);    
    echo '%&nbsp;&nbsp;</td>';
    echo '<td class="agentcontent"></td>';
    echo '</tr></table>';
  echo '</td>';
  echo '</tr>';

  echo '</table>';


  ///////////////////////////////////// AGENT STATISTICS ////////////////////////////////////////
  echo '<br><br>';
  echo '<h1 style="color:#303030; font-size : 16px; ">&nbsp;:: Agent Statistics</h1><hr style="width: 100%; height: 5px;"><br>';

  echo '<table cellpadding="1" cellspacing="2" border="0" width="100%">';

  echo '<tr>';
  echo '<td class="agentsection" style="width:150px; text-align:left;">';
  echo '<b>&nbsp;&nbsp;Render Time:&nbsp;</b></td>';
  echo '<td>';
    echo '<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr>';
    echo '<td class="agentcontent" width="0%">&nbsp;</td>';
    echo '<td class="agentcontent" style="background-color:#d48e8e; text-align:center;" width="100%"><b>'. convTime($RenderTime) .'</b></td>';
    echo '<td class="agentcontent">&nbsp;</td>';
    echo '</tr></table>';
  echo '</td>';
  echo '</tr>';

  sort($lagents);    // Ordena la lista devuelta
  reset ($lagents);  // Resetea el puntero a su primer elemento
  $maxAgentTime = 0;
  foreach ($lagents as $ag){
    $state = $masterPrx->getInternalStateOfAgent($ag);
    $AgentRenderTime = 0;
    $nRegNotFinish = 0;
    foreach ($lregister as $reg){ 
      if ($reg->Agent == $state->Name) {
	if ($reg->State == 0) 
	  $AgentRenderTime += $reg->Treal;
	else $nRegNotFinish += 1;
      }
      if ($AgentRenderTime > $maxAgentTime) $maxAgentTime = $AgentRenderTime;
    }  

    echo '<tr>';
    echo '<td class="agentsection" style="width:150px; text-align:left;">';
    echo '<b>&nbsp;&nbsp;'. $state->Name .'&nbsp;</b> ('. convTime($AgentRenderTime) .')</i></td>';
    echo '<td style="background-color:#eae9ef">';
      echo '<table cellpadding="0" cellspacing="2" border="0" width="'. (int) ($AgentRenderTime * 100 / $RenderTime) .'%" height="100%"><tr>';
      $ultimoReg = 0;
      foreach ($lregister as $reg){ 
	if ($reg->Agent == $state->Name) {
	  if ($reg->State == 0) { 
	    echo '<td class="agentcontent" style="background-color:#BBBBBB; text-align:center;" width="'. (int) ($reg->Treal * 100 / $AgentRenderTime) .'%">&nbsp;'. $reg->WorkUnit .'&nbsp;</td>';

	  }
	  if ($reg->State == 2) {
	    $ultimoReg = $reg->WorkUnit;
	  }
	}
      }  

      if ($ultimoReg != 0) {
	echo '<td class="agentcontent" style="text-decoration: blink; background-color:#999999;';
	echo 'text-align:center;" width="1">&nbsp;<b>'. $ultimoReg .'</b>&nbsp;</td>';
      }
      echo '</tr></table>';
    echo '</td>';
    echo '</tr>';
  }
  echo '</table>';

  ////////////////////////////////////////////// WORKUNIT STATISTICS ///////////////////////////////////////////
  echo '<br><br>';
  echo '<h1 style="color:#303030; font-size : 16px; ">&nbsp;:: Workunit Statistics</h1><hr style="width: 100%; height: 5px;"><br>';

  $regMaxTime = 0;
  foreach ($lregister as $reg) {
    if ($reg->State == 0)
      if ($reg->Treal > $regMaxTime) $regMaxTime = $reg->Treal;
  }

  echo '<table cellpadding="0" cellspacing="2" border="0" width="100%">';

  foreach ($lregister as $reg){
    echo '<tr>';
    echo '<td class="agentsection" style="width:60px; text-align:center;"><b>WU['. $reg->WorkUnit.']</b></td>';
    echo '<td class="agentsection" style="width:100px; text-align:left;"><b>&nbsp;Ag:</b> '. $reg->Agent .'</td>';
    echo '<td>';
      echo '<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%"><tr>';
      echo '<td class="agentcontent" ';
      if ($reg->Treal > ($reg->Test * 1.5)) {    // Si es mayor que un 25%
	echo 'style="background-color:#FF8888; text-align:center;" ';
      } else {
	if ($reg->Treal > ($reg->Test * 0.75)) 
	  echo 'style="background-color:#33DD33; text-align:center;" ';
	else echo 'style="background-color:#AAAAAA; text-align:center;" ';
      }

      if ($regMaxTime > 0)
	echo 'width="'.(int) (1+($reg->Treal*100/$regMaxTime)).'%">';
      else 
	echo'width="1">';
      echo convTime($reg->Treal). '</td>';
      echo '<td class="agentcontent">&nbsp;</td>';
      echo '</tr></table>';
    echo '</td>';
    echo '</tr>';
  }
  echo '</table>';
  echo '</td></tr></table>';

}
catch (Ice_LocalException $ex) {
  echo $ex;
}
?>
