var GUIWidth = 0;
var GUIHeight = 0;
var renderWidth = 418;
var renderHeight = 358;
var infoactive = 1;
var registryactive = 1;
var timetorefresh = 5000;
var renderrefresh = 3000;
var renderzoom = 0;
var renderpartition = 0;
var renderagents = 0;
var renderstate = "";
var resetStats = 1;

/////////////////////////////////////////////////////////////////////////////
// getXmlHttp()
/////////////////////////////////////////////////////////////////////////////

function getxmlhttp() {
  var xmlhttp = false;
  try { xmlhttp = new ActiveXObject("Msxml2.XMLHTTP"); } catch (e) {
    try { xmlhttp = new ActiveXObject("Microsoft.XMLHTTP"); } catch (E) {
	xmlhttp = false;
    }
  }
  if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
    xmlhttp = new XMLHttpRequest();
  }
  return xmlhttp;
}


/////////////////////////////////////////////////////////////////////////////
// resizeToFull(objID)
/////////////////////////////////////////////////////////////////////////////

function resizeToFull(objID) {
  var obj = document.getElementById(objID);
  var width = 0;
  var height = 0;
  var element = '';
  var pixeloffset = 50;

  if (objID == "info") {
     width = GUIWidth - renderWidth - 30;
     height = GUIHeight - 180;
  }

  if (objID == "registry") {
     width = renderWidth;
     height = GUIHeight - (renderHeight + 77 + 16);
  }

  obj.style.width = width + 'px';
  obj.style.height = height + 'px';

  if (objID == "info") {
    if (infoactive == 1) { element = 'info-blackboard'; pixeloffset = 110; }
    if (infoactive == 2) { element = 'info-agents'; pixeloffset = 110; }
    if (infoactive == 3) { element = 'info-statistics'; pixeloffset = 110; }
  }

  if (objID == "registry") {
    if (registryactive == 1) { element = 'registry-information'; pixeloffset = 90; }
    if (registryactive == 2) { element = 'registry-log'; pixeloffset = 90; }
    if (registryactive == 3) { element = 'registry-general'; pixeloffset = 90; }
  }

  obj2 = document.getElementById(element); 

  if (obj2 != null) 
    obj2.style.height = (height - pixeloffset) + 'px';

}

/////////////////////////////////////////////////////////////////////////////
// resizeGUI()
/////////////////////////////////////////////////////////////////////////////

function resizeGUI() {
  var objGUI = document.getElementById("divGUI");

  if( typeof( window.innerWidth ) == 'number' ) {
    //Non-IE
    GUIWidth = window.innerWidth;
    GUIHeight = window.innerHeight;
  } else if( document.documentElement && ( document.documentElement.clientWidth 
	     || document.documentElement.clientHeight ) ) {
    //IE 6+ in 'standards compliant mode'
    GUIWidth = document.documentElement.clientWidth;
    GUIHeight = document.documentElement.clientHeight;
  } else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) {
    //IE 4 compatible
    GUIWidth = document.body.clientWidth;
    GUIHeight = document.body.clientHeight;
  }
  
  objGUI.style.width = GUIWidth + "px";
  objGUI.style.height = GUIHeight + "px";

  // Number of agents control
  dd.elements.divNOA.moveTo(GUIWidth-450, GUIHeight-180);

  resize('render','min');
}

/////////////////////////////////////////////////////////////////////////////
// resize()
/////////////////////////////////////////////////////////////////////////////

function resize(objID, type) {
   var objRender = document.getElementById('render');

   if (objID == 'render') {
      if (type == 'min') {
         renderWidth = 418;
         renderHeight = 358;
      }
      else {
	if (GUIHeight > 700) {
           renderWidth = 618;
           renderHeight = 508;
	} 
      }
      objRender.style.width = renderWidth + "px";
      objRender.style.height = renderHeight + "px";
      changeZoomSize(type);
   } 
   else {
      if (type == 'max') {
         renderWidth = 418;
         renderHeight = 358;
         changeZoomSize('min');
      }
      else {
	 if (GUIHeight > 700) {
           renderWidth = 618;
           renderHeight = 508; 
           changeZoomSize('max');
         }
      }
      objRender.style.width = renderWidth + "px";
      objRender.style.height = renderHeight + "px";
   }

   resizeToFull('info');
   resizeToFull('registry');
}

/////////////////////////////////////////////////////////////////////////////
// Array of xmlreqs
/////////////////////////////////////////////////////////////////////////////

var xmlreqs = new Array(); 

function CXMLReq(freed) { 
   this.freed = freed; 
   this.xmlhttp = getxmlhttp();
}

function xmlreqGET(url, obj) { 
   var pos = -1; 
   for (var i=0; i<xmlreqs.length; i++) { 
      if (xmlreqs[i].freed == 1) { 
         pos = i; break; 
      } 
   } 
   if (pos == -1) { 
     pos = xmlreqs.length; 
     xmlreqs[pos] = new CXMLReq(1); 
   } 
   if (xmlreqs[pos].xmlhttp) { 
     xmlreqs[pos].freed = 0; 
     if (xmlreqs[pos].xmlhttp != null) {
	if (xmlreqs[pos].xmlhttp) {
	   xmlreqs[pos].xmlhttp.abort();
	}
        try {
           xmlreqs[pos].xmlhttp.open("GET",url,true); 
        } catch (e) {
 	   return;
	}
	xmlreqs[pos].xmlhttp.onreadystatechange = function() { 
          if (typeof(xmlhttpChange) != 'undefined') { 
             xmlhttpChange(pos, obj); 
          } 
        } 
     }
     if (window.XMLHttpRequest) { 
       xmlreqs[pos].xmlhttp.send(null); 
     } 
     else if (window.ActiveXObject) { 
       xmlreqs[pos].xmlhttp.send(); 
     } 
  } 
} 

function xmlhttpChange(pos, obj) { 
   if (typeof(xmlreqs[pos]) != 'undefined' && xmlreqs[pos].freed == 0 && xmlreqs[pos].xmlhttp.readyState == 4) { 
     if (xmlreqs[pos].xmlhttp.status == 200 || xmlreqs[pos].xmlhttp.status == 304) { 
        obj.innerHTML = xmlreqs[pos].xmlhttp.responseText; 
     } else { 
        alert ("xmlhttp error"); 
     } 
     xmlreqs[pos].freed = 1; 
   } 
}

/////////////////////////////////////////////////////////////////////////////
// clickTab()
/////////////////////////////////////////////////////////////////////////////

function clickTab(id, sel) {
  obj = document.getElementById(id + '_content');
  serverPage = id + '.php?sel=' + sel + '&ttr=' + timetorefresh;
  xmlreqGET(serverPage, obj);

  if (id=="info") infoactive = sel;
  if (id=="registry") registryactive = sel;
}

/////////////////////////////////////////////////////////////////////////////
// initGUI()
/////////////////////////////////////////////////////////////////////////////

function initGUI() {
  clickTab ('registry', 1);
  clickTab ('info', 1);
  mainGUIloop();
  refreshContent();
  refreshRender();
}

/////////////////////////////////////////////////////////////////////////////
// refreshContent()
/////////////////////////////////////////////////////////////////////////////

function refreshContent() {

  param = "?rw=" + renderWidth + "&rm=" + document.mainForm.Cperagents.value;
   
  if (infoactive == 1) { element = 'info-blackboard'; pixeloffset = 90; }
  if (infoactive == 2) { element = 'info-agents'; pixeloffset = 90; }
  if (infoactive == 3) { element = 'info-statistics'; pixeloffset = 90; }

  obj = document.getElementById(element);
  serverPage = element + '.php' + param;
  if (obj != null) xmlreqGET(serverPage, obj);

  // Update the general Stats of the system... 
  obj = document.getElementById('generalstats');
  serverPage = 'generalstats.php?reset=' + resetStats;
  if (obj != null) xmlreqGET(serverPage, obj);

  if (registryactive == 1) { element = 'registry-information'; pixeloffset = 90; }
  if (registryactive == 2) { element = 'registry-log'; pixeloffset = 90; }
  if (registryactive == 3) { element = 'registry-general'; pixeloffset = 90; }

  obj = document.getElementById(element);
  serverPage = element + '.php' + param;
  if (obj != null) xmlreqGET(serverPage, obj);

  setTimeout("refreshContent()", timetorefresh); 
}

/////////////////////////////////////////////////////////////////////////////
// mainGUIloop()
/////////////////////////////////////////////////////////////////////////////

function mainGUIloop() {
  resizeToFull ('info');
  resizeToFull ('registry');
  setTimeout("mainGUIloop()", 1000);
}

/////////////////////////////////////////////////////////////////////////////
// updateTimeToRefresh()
/////////////////////////////////////////////////////////////////////////////

function updateTimeToRefresh() {
  timetorefresh = parseInt(document.mainForm.timetorefresh.value);
}

/////////////////////////////////////////////////////////////////////////////
// refreshRender()
/////////////////////////////////////////////////////////////////////////////

function refreshRender() {

  var d = new Date();

  if (document.mainForm.renderstate.value != renderstate) {
    renderstate = document.mainForm.renderstate.value;
    document['windowtitlerender'].src = "images/windowtitle-"+ renderstate +".jpg";

    param = "?zoom="+ renderzoom +"&part="+ renderpartition +"&agents="+ renderagents ;
    param = param + "&pr="+ document.mainForm.project.value; 
    param = param + "&rs="+ document.mainForm.renderstate.value;
    param = param + "&opt="+ document.mainForm.Coptimization.value;
    param = param + "&peragents="+ document.mainForm.Cperagents.value;
    param = param + "&dummy=" + d.getTime();

    obj = document.getElementById("render_content");
    serverPage = 'render.php' + param;
    
    xmlreqGET(serverPage, obj);
  }

  if (renderstate == "imageanalysis") {
    obj = document.getElementById("progressbar");
    param = "?part="+ document.mainForm.Cdivision.value;
    param = param + "&dp=1&dpp=1";   // Draw partition and progress partition
    serverPage = 'drawzones.php' + param + '&img=0';
    xmlreqGET(serverPage, obj);
  } 

  if (renderstate == "render") {
    obj = document.getElementById("progressbar");
    param = "?part=" + document.mainForm.Cdivision.value;
    param = param + "&dp=" + renderpartition + "&dpp=0";
    serverPage = 'drawzones.php' + param + '&img=0';
    xmlreqGET(serverPage, obj);
  }


// Version original:  
//   var now = new Date();
//   if (document['previewimg'] != null) 
//      document['previewimg'].src = 'smalloutput.jpg?' + now.getTime();
// 

  var now = new Date();

  if (document['previewimg'] != null) 
     document['previewimg'].src = 'drawzones.php' + param + '&img=1&time=' + now.getTime();

  setTimeout("refreshRender()", renderrefresh); 
}

/////////////////////////////////////////////////////////////////////////////
// on[zoom|partition|agents]click()
/////////////////////////////////////////////////////////////////////////////

function onzoomclick() {
  if (renderzoom == 1) { 
     renderzoom = 0; suffix = 'off'; 
     hidezoom();
  } 
  else {
     renderzoom = 1; suffix = 'sel'; 
     showzoom();
  }
  document['renderzoom'].src='images/renderzoom-' + suffix + '.jpg';
}

function onpartitionclick() {
  if (renderpartition == 1) { renderpartition = 0; suffix = 'off'; } 
  else {renderpartition = 1; suffix = 'sel'; }
  document['renderpartition'].src='images/renderpartition-' + suffix + '.jpg';
}

function onagentsclick() {
  if (renderagents == 1) { renderagents = 0; suffix = 'off'; } 
  else {renderagents = 1; suffix = 'sel'; }
  document['renderagents'].src='images/renderagents-' + suffix + '.jpg';
}

/////////////////////////////////////////////////////////////////////////////
// upload()
/////////////////////////////////////////////////////////////////////////////

function upload() {
  document.mainForm.Coptimization.value = document.mainForm.optimization.value;
  document.mainForm.Cdivision.value = document.mainForm.division.value;
  //  document.mainForm.Cperagents.value = document.mainForm.peragents.value;
  document.mainForm.Cnumagents.value = document.mainForm.numagents.value;
  document.forms[0].submit();
}

/////////////////////////////////////////////////////////////////////////////
// finishUpload()
/////////////////////////////////////////////////////////////////////////////

function finishUpload(code) {
  document['fileprog'].src = "images/fileuploadbottom-off.jpg";
  document.mainForm.project.value = code;
  document.mainForm.renderstate.value ="imageanalysis";
  resetStats = 0;
  refreshRender();
}

/////////////////////////////////////////////////////////////////////////////
// finishAnalysis()
/////////////////////////////////////////////////////////////////////////////

function finishAnalysis() {
  document.mainForm.renderstate.value ="render";
  refreshRender();
}

/////////////////////////////////////////////////////////////////////////////
// executeScript()
/////////////////////////////////////////////////////////////////////////////

function executeScript(script) {
    param = "?script="+ script +"&noa="+ document.mainForm.stNOA.value;
    obj = document.getElementById("log");
    serverPage = 'executescript.php' + param;
    xmlreqGET(serverPage, obj);
}

/////////////////////////////////////////////////////////////////////////////
// resetTime()
/////////////////////////////////////////////////////////////////////////////

function resetTime() {
  xmlreqGET('resettime.php', null);
}

