#include <iostream>
#include <AgentI.h>

static enum StringValue { request,
                          agree,
                          refuse,
                          inform,
                          failure };

class CommunicativeActLibrary
{
 public:

  static void processMessage(const string& role,
			     VStack& conv,
			     const FIPA::ACLRepresentation rep,
			     const FIPA::Payload p,
			     const std::vector values);

  static void request(const string& role,
		      VStack& conv,
		      const FIPA::ACLRepresentation rep,
		      const FIPA::Payload p,
		      const std::vector values);

 private:
  // Map to associate the strings with the enum values.
  static std::map<std::string, StringValue> s_mapStringValues;

  void initialize();
};
