#include <FileI.h>

using namespace std;

FileI::FileI(FILE* fp,
	     int num) :
  _fp(fp),
  _num(num),
  _bytes(new Ice::Byte[num])
{
}

FileI::~FileI()
{
  delete[] _bytes;
}

void
FileI::next_async(const ::Video::AMD_File_nextPtr& cb,
		  const ::Ice::Current& curr)
{
  pair <const Ice::Byte*, const Ice::Byte*> ret(0, 0);
  ssize_t r = fread(_bytes, 1, _num, _fp);
  if (r == 0) {
    fclose(_fp);
    curr.adapter->remove(curr.id);
  }
  else {
    ret.first = _bytes;
    ret.second = _bytes + r;
  }
  cb->ice_response(ret);
}
