#ifndef FileI_H
#define FileI_H

#include <Video.h>
#include <Ice/Ice.h>

class FileI
  : public Video::File
{
public:
  
  FileI(FILE* fp, int num);
  ~FileI();
  
  virtual void next_async(const ::Video::AMD_File_nextPtr&, const ::Ice::Current&);

private:

  FILE* _fp;
  const int _num;
  Ice::Byte* _bytes;
};

#endif
