#ifndef File_nextI_H
#define File_nextI_H

#include <Video.h>
#include <Ice/Ice.h>
#include <IceUtil/Thread.h>

using namespace std;

class File_nextI:
public Video::AMI_File_next,
public IceUtil::Monitor<IceUtil::Mutex>
{
 public:
  
  File_nextI();
  
  virtual void ice_response(const ::std::pair<const ::Ice::Byte*, const ::Ice::Byte*>&);
  virtual void ice_exception(const ::Ice::Exception&);
  void getData(::Ice::ByteSeq&);
  
 private:
  
  bool _done;
  auto_ptr<Ice::Exception> _exception;
  Ice::ByteSeq _bytes;  
};

typedef IceUtil::Handle<File_nextI> File_nextIPtr;

#endif
