#include <iostream>
#include <PlatformUtils.hpp>
#include <XMLString.hpp>
#include <DOM.hpp>
#include <DOMImplementation.hpp>
#include <DOMWriter.hpp>
#include <DOMNode.hpp>
#include <StdOutFormatTarget.hpp>
#include <LocalFileFormatTarget.hpp>
#include <XercesDOMParser.hpp>
#include <XMLUni.hpp>
#if defined(XERCES_NEW_IOSTREAMS)
#include <iostream>
#else
#include <iostream.h>
#endif
#include <OutOfMemoryException.hpp>

#include <vector>
#include <stack>
#include <map>

XERCES_CPP_NAMESPACE_USE

typedef std::vector<std::string> SVector;
typedef std::stack<SVector> VStack;

class UtilXML
{
 public:
  
  void createProtocol(const std::string& file, const std::string& protocol, VStack&);

};

class XStr
{
 public:

  XStr(const char* const toTranscode);
  ~XStr();
  const XMLCh* unicodeForm() const;

 private:

  XMLCh*   fUnicodeForm;
};

#define X(str) XStr(str).unicodeForm()
