from Stack import *
import sys, string
from xml.sax import handler, make_parser

class MyXMLHandler(handler.ContentHandler):             
    def __init__(self, aux,protocol):                               
        self._aux = aux # aux is a Stack
        self._protocol= protocol
        self._v_actual = []
        self._value=""
        self._protocol_flag = False
        

    def startElement(self, name, attrs):  
        if name == "protocol":
            for attrName in attrs.keys():
                if attrName == "name" and attrs.get(attrName) == self._protocol:
                    self._protocol_flag = True
        elif name == "initiator" and self._protocol_flag:
            if self._v_actual != []:
                self._aux.push(self._v_actual)
            self._v_actual = []
            self._v_actual.append("protocol")
        elif name == "participant" and self._protocol_flag:
            if self._v_actual != []:
                self._aux.push(self._v_actual)
            self._v_actual = []
            self._v_actual.append("participant")
            
        
    def endElement(self, name):
        if name == "act" and self._protocol_flag:
            self._v_actual.append(self._value)
        elif name == "protocol" and self._protocol_flag:
            if self._v_actual != []:
                self._aux.push(self._v_actual)
            self._protocol_flag = False
    

    def characters(self, chrs):                                 
        self._value = chrs
    
